Problem with OTF projection of features crossing the dateline

2017-11-20 02:19 PM - Saber Razmjooei

Status: Feedback

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25398

Description

The attached layer is causing some odd rendering when using OTF.

To reproduce, download and extract the shapefile. Add the layer to QGIS and set the OTF on. Select EPSG:3857 for the canvas

projection.

It is affecting moth 2.18 and master.

History

#1 - 2017-11-21 01:29 PM - Giovanni Manghi

- Subject changed from Problem with OTF projection to Problem with OTF projection of features crossing the dateline

That depends on the features crossing the dateline. Is something that can be fixed at data level, not sure if is also possible to workaround the scenario on

the fly in qgis.

#2 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

countries.zip 3.94 MB 2017-11-20 Saber Razmjooei
